如何用grub for dos 引导系统???

为当前最终发行版之前的所有版本提供支持
回复
头像
glade
帖子: 1383
注册时间: 2005-10-21 16:57
送出感谢: 0
接收感谢: 0

如何用grub for dos 引导系统???

#1

帖子 glade » 2005-10-22 20:20

装ubuntu时没装grub,我下载了grub for dos
在menu.list里面加入

title Ubuntu Linux on (hda6)
kernel (hd0,5)/boot/vmlinuxz-2.6.12-9-386 root=/dev/hda6 quiet devfs=mount acpi=ht vga=788
initrd (hd0,5)/boot/initrd.img-2.6.12-9-386

grub提示找不到文件

C盘和D盘为windows分区
linux装在hda6
我试过 hd(0,0~7 的数字)都不行
怎么办???
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#2

帖子 eexpress » 2005-10-22 20:54

进入了grub吧。按e编辑,按c可以进入命令行,可以执行,root(hd0,5),install/setup,boot,不过for dos的不知道可以不。好像不是我们平时说的真正grub。 :lol:
● 鸣学
头像
glade
帖子: 1383
注册时间: 2005-10-21 16:57
送出感谢: 0
接收感谢: 0

#3

帖子 glade » 2005-10-22 21:08

root(hd0,5),install/setup,boot 这个命令是什么意思?
是不是安装grub?
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#4

帖子 eexpress » 2005-10-22 22:06

是啊。先在网上多看看,确定了在做。不过应该使用一个标准的gurb。不要for dos的。比如livecd上的grub。
● 鸣学
头像
millenniumdark
论坛版主
帖子: 4160
注册时间: 2005-07-02 14:41
系统: Ubuntu 14.04 (Kylin)
送出感谢: 43 次
接收感谢: 9 次
联系:

#5

帖子 millenniumdark » 2005-10-23 19:51

用grub4dos代替grub來引導系統
yonsan 写了:(凭记忆写的,如有不完善请指正)

如果你的系统现在正在使用grub引导方式,请在操作之前查看一下/boot/grub/menu.lst的内容,建议将/boot/grub/menu.lst拷贝一份以备用(将它拷到fat32分区中存放就可以)!

进入window环境下

1) 下载grub020p.zip并解压到C盘根目录下,打开C盘查看一下是否有以下文件

C:\boot (文件夹)
C:\ChangeLog.txt
C:\compile
C:\COPYING
C:\grldr
C:\grub4lin
C:\grub-0.95-patch1-startups
C:\grub-0.95-patch2-findroot
C:\grub-0.95-patch3-ntfs
C:\grub-0.95-patch4-emulation
C:\grub-0.95-patch5-splash
C:\grub-0.95-patch6-scdrom
C:\grub-0.95-patch7-bioscdrom
C:\grub.exe
C:\grub.pif
C:\README.txt
C:\robin.xpm.gz
C:\scratchpad.txt

2) 修改C:\boot\grub\menu.lst ,用你刚才从linux系统中拷贝的menu.lst覆盖C:\boot\grub\menu.lst

3) 进入grub命令行方式 (出现grub引导菜单时按c键)
> root (hd0,0)
> setup (hd0)

4) 重启计算机
gxhunter
帖子: 63
注册时间: 2005-10-09 12:58
送出感谢: 0
接收感谢: 0

#6

帖子 gxhunter » 2005-10-24 15:40

我用DOS版的GRUB能启动,反而用本来的GRUB启动不了。
我用是这里的方法
http://forum.ubuntu.org.cn/viewtopic.php?t=3663&highlight=%E7%AE%80%E5%8D%95
回复

回到 “老旧版本支持”